libgimpprint API Reference: cooked struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# cooked Struct Reference

## Data Fields
raw_t | rw
int | first_row_printed
int | last_row_printed
int | first_premapped_pass
int | first_normal_pass
int | first_postmapped_pass
int | first_unused_pass
int * | pass_premap
int * | stagger_premap
int * | pass_postmap
int * | stagger_postmap

## Field Documentation

int cooked::first_normal_pass

| Definition at line 361 of file print-weave.c. Referenced by calculate_pass_map(), and stpi_calculate_row_parameters().

int cooked::first_postmapped_pass

| Definition at line 362 of file print-weave.c. Referenced by calculate_pass_map(), and stpi_calculate_row_parameters().

int cooked::first_premapped_pass

| Definition at line 360 of file print-weave.c. Referenced by calculate_pass_map(), and stpi_calculate_row_parameters().

int cooked::first_row_printed

| Definition at line 357 of file print-weave.c. Referenced by calculate_pass_map(), and stpi_calculate_row_parameters().

int cooked::first_unused_pass

| Definition at line 363 of file print-weave.c. Referenced by calculate_pass_map().

int cooked::last_row_printed

| Definition at line 358 of file print-weave.c. Referenced by calculate_pass_map(), and stpi_calculate_row_parameters().

int* cooked::pass_postmap

| Definition at line 367 of file print-weave.c. Referenced by calculate_pass_map(), stpi_calculate_row_parameters(), and stpi_destroy_weave_params().

int* cooked::pass_premap

| Definition at line 365 of file print-weave.c. Referenced by calculate_pass_map(), stpi_calculate_row_parameters(), and stpi_destroy_weave_params().

raw_t cooked::rw

| Definition at line 356 of file print-weave.c. Referenced by calculate_pass_map(), initialize_weave_params(), and stpi_calculate_row_parameters().

int* cooked::stagger_postmap

| Definition at line 368 of file print-weave.c. Referenced by calculate_pass_map(), stpi_calculate_row_parameters(), and stpi_destroy_weave_params().

int* cooked::stagger_premap

| Definition at line 366 of file print-weave.c. Referenced by calculate_pass_map(), stpi_calculate_row_parameters(), and stpi_destroy_weave_params().

The documentation for this struct was generated from the following file:

- src/main/print-weave.c